-- Copied from fallback, aside from the automated per-game mode stuff,
-- and the hacky theme-defined timings.
-- todo: make the W1 checking stuff cleaner.
return function()
    local Timings = {}
	local W1Pref = ToEnumShortString(PREFSMAN:GetPreference("AllowW1"))
	local usingW1 = W1Pref == "Everywhere" or (W1Pref == "CoursesOnly" and GAMESTATE:IsCourseMode())
	
	for k,v2 in pairs(THEME_Timings[LoadModule("Gameplay.AutoJudgmentWindows.lua")()]) do
		if v2 ~= 0 and string.find(k, "W") then
			if ToEnumShortString(k) ~= "W1" or (usingW1 and ToEnumShortString(k) == "W1") then
				Timings[#Timings+1] = ToEnumShortString(k)
			end
		end
	end
	
    return Timings,#Timings
end